function [dataw] = dwvar(dj,min_d,max_d )
%UNTITLED1 Summary of this function goes here
%  Detailed explanation goes here
data=dj(min_d:max_d,2);
[wr,wc]=size(data);
zz1(1:1000)=data(1);
zz1=zz1';
zz2(1:1000)=data(wr);
zz2=zz2';
zz=[zz1;data;zz2];
coefs = cwt(zz,1:512,'gaus8');
coefs=coefs(:,1001:(1000+wr));
dataw.ss=wvar(coefs,256,2);
dataw.ss2=data;
dataw.ss3=coefs;
dataw.ss1=wvar(coefs,256,3);
dataw.ss4=wvar(coefs,256,4);
dataw.ss5=wvar(coefs,256,5);
dataw.ss6=dj(min_d:max_d,1);


